<div class="row" *ngIf="eventgroup">
  <div class="col-12">
    <h4 class="page-title">Probenphasen Statistik - {{eventgroup.title}}</h4>
    <nav aria-label="breadcrumb">
      <ol class="breadcrumb">
        <li class="breadcrumb-item" *ngIf="eventgroup.project.status != 'past'"><a routerLink="/projects">Projekte</a></li>
        <li class="breadcrumb-item" *ngIf="eventgroup.project.status == 'past'"><a routerLink="/projects/past">Vergangene Projekte</a></li>
        <li class="breadcrumb-item"><a
            routerLink="/projects/{{projectId}}/ensembles/{{ensembleId}}">{{eventgroup.project.name}}</a></li>
        <li class="breadcrumb-item"><a
            routerLink="/projects/{{projectId}}/ensembles/{{ensembleId}}/eventgroups/{{eventgroupId}}">{{eventgroup.title}}</a>
        </li>
        <li class="breadcrumb-item active" aria-current="page">Statistik</li>
      </ol>
    </nav>
  </div>
</div>
<div class="row mb-3" *ngIf="eventgroup && eventAnnouncements && eventAnnouncements.length > 0">
  <div class="col-md-6 mb-3">
    <eos-announcement-stats [eventgroup]="eventgroup" [ensembleId]="ensembleId" [mode]="'eventgroup'"></eos-announcement-stats>
  </div>
  <div class="col-md-6">
    <eos-announcement-registers [eventgroup]="eventgroup" [ensembleId]="ensembleId" [mode]="'eventgroup'"></eos-announcement-registers>
  </div>
</div>
<div class="row">
  <div class="col-12">
    <div class="card">
      <div class="card-heading pb-1 d-flex justify-content-between">
        <h5>Anmeldungen</h5>
      </div>
      <div class="card-body">
        <tabset *ngIf="eventgroup && eventAnnouncements && eventAnnouncements.length > 0">
          <tab heading="Anmeldeliste">
            <eos-announcement-list [eventgroup]="eventgroup" [ensembleId]="ensembleId" [mode]="'eventgroup'"></eos-announcement-list>
          </tab>
          <tab heading="Anmeldungen">
            <eos-event-overview-table [events]="events" [mode]="'announcement'"
                                      [users]="eventAnnouncements"></eos-event-overview-table>
          </tab>
          <tab heading="Anwesenheit">
            <eos-event-overview-table [events]="events" [mode]="'attendance'"
                                      [users]="attendance"></eos-event-overview-table>
          </tab>
          <tab heading="Anmeldungen in Prozent">
            <eos-announcement-user-percent *ngIf="events && events.length > 0" [eventgroup]="eventgroup" [ensembleId]="ensembleId" [mode]="'eventgroup'"></eos-announcement-user-percent>
            <div *ngIf="events && events.length == 0">
              <alert type="info">Es sind noch Termine in der Probenphase vorhanden.</alert>
            </div>
          </tab>
          <tab heading="Auswertung nach Typ">
            <eos-event-type-overview mode="eventgroup" [ensembleId]="ensembleId"
                                     [targetId]="eventgroupId"></eos-event-type-overview>
          </tab>
          <tab heading="Auswertung nach Namen und Typ">
            <eos-event-type-by-user-overview mode="eventgroup" [ensembleId]="ensembleId"
                                     [targetId]="eventgroupId"></eos-event-type-by-user-overview>
          </tab>
        </tabset>
        <div *ngIf="eventAnnouncements && eventAnnouncements.length == 0">
          <alert type="info">Es sind noch keine Anmeldungen zur Probenphase vorhanden.</alert>
        </div>
      </div>
    </div>
  </div>
</div>
